/*
 *  vbftest.vala - Vala Build Framework library
 *  
 *  Copyright (C) 2008 - Andrea Del Signore <sejerpz@tin.it>
 *  
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 */

#ifndef __VBFTEST_H__
#define __VBFTEST_H__

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>

G_BEGIN_DECLS


#define VBF_TESTS_TYPE_OPEN_TEST (vbf_tests_open_test_get_type ())
#define VBF_TESTS_OPEN_TEST(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VBF_TESTS_TYPE_OPEN_TEST, VbfTestsOpenTest))
#define VBF_TESTS_OPEN_TEST_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VBF_TESTS_TYPE_OPEN_TEST, VbfTestsOpenTestClass))
#define VBF_TESTS_IS_OPEN_TEST(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VBF_TESTS_TYPE_OPEN_TEST))
#define VBF_TESTS_IS_OPEN_TEST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VBF_TESTS_TYPE_OPEN_TEST))
#define VBF_TESTS_OPEN_TEST_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VBF_TESTS_TYPE_OPEN_TEST, VbfTestsOpenTestClass))

typedef struct _VbfTestsOpenTest VbfTestsOpenTest;
typedef struct _VbfTestsOpenTestClass VbfTestsOpenTestClass;
typedef struct _VbfTestsOpenTestPrivate VbfTestsOpenTestPrivate;
typedef struct _VbfTestsParamSpecOpenTest VbfTestsParamSpecOpenTest;

struct _VbfTestsOpenTest {
	GTypeInstance parent_instance;
	volatile int ref_count;
	VbfTestsOpenTestPrivate * priv;
};

struct _VbfTestsOpenTestClass {
	GTypeClass parent_class;
	void (*finalize) (VbfTestsOpenTest *self);
};

struct _VbfTestsParamSpecOpenTest {
	GParamSpec parent_instance;
};


gboolean vbf_tests_open_test_run (VbfTestsOpenTest* self, const char* project_name);
gint vbf_tests_open_test_main (char** args, int args_length1);
VbfTestsOpenTest* vbf_tests_open_test_construct (GType object_type);
VbfTestsOpenTest* vbf_tests_open_test_new (void);
GParamSpec* vbf_tests_param_spec_open_test (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
gpointer vbf_tests_value_get_open_test (const GValue* value);
void vbf_tests_value_set_open_test (GValue* value, gpointer v_object);
GType vbf_tests_open_test_get_type (void);
gpointer vbf_tests_open_test_ref (gpointer instance);
void vbf_tests_open_test_unref (gpointer instance);


G_END_DECLS

#endif
